Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::word_lock_queue_data Struct Reference

`#include <synchronization_common.h>`

## Public Attributes

thread_parker | parker
word_lock_queue_data * | next = nullptr
word_lock_queue_data * | prev = nullptr
word_lock_queue_data * | tail = nullptr

## Detailed Description

Definition at line 117 of file synchronization_common.h.

## Member Data Documentation

## parker

thread_parker Halide::Runtime::Internal::Synchronization::word_lock_queue_data::parker

Definition at line 118 of file synchronization_common.h.

## next

word_lock_queue_data* Halide::Runtime::Internal::Synchronization::word_lock_queue_data::next = nullptr

Definition at line 136 of file synchronization_common.h.

## prev

word_lock_queue_data* Halide::Runtime::Internal::Synchronization::word_lock_queue_data::prev = nullptr

Definition at line 137 of file synchronization_common.h.

## tail

word_lock_queue_data* Halide::Runtime::Internal::Synchronization::word_lock_queue_data::tail = nullptr

Definition at line 138 of file synchronization_common.h.

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h